Package org.gradle.api.initialization.dsl

# Interface VersionCatalogBuilder.LibraryAliasBuilder

Enclosing interface:
  `VersionCatalogBuilder`

public static interface VersionCatalogBuilder.LibraryAliasBuilder
Allows configuring the version of a library

Since:
  7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `version(String version)`
  Configures the required version for this alias
  `void`
  `version(Action<? super MutableVersionConstraint> versionSpec)`
  Configures the version for this alias
  `void`
  `versionRef(String versionRef)`
  Configures this alias to use a version reference, created via the `VersionCatalogBuilder.version(String, Action)` method.
  `void`
  `withoutVersion()`
  Do not associate this alias to a particular version, in which case the dependency notation will just have group and artifact.

- ## Method Details

  - ### version

    void version(Action<? super MutableVersionConstraint> versionSpec)
    Configures the version for this alias

  - ### version

    void version(String version)
    Configures the required version for this alias

  - ### versionRef

    void versionRef(String versionRef)
    Configures this alias to use a version reference, created via the `VersionCatalogBuilder.version(String, Action)` method.
    Parameters:
      `versionRef` - the version reference

  - ### withoutVersion

    void withoutVersion()
    Do not associate this alias to a particular version, in which case the dependency notation will just have group and artifact.